# Search Console API . sites

## Instance Methods

Adds a site to the set of the user's sites in Search Console.

Removes a site from the set of the user's Search Console sites.

Retrieves information about specific site.

Lists the user's Search Console sites.

### Method Details

`add(siteUrl)`

    Adds a site to the set of the user's sites in Search Console.

    Args:
      siteUrl: string, The URL of the site to add. (required)

`delete(siteUrl)`

    Removes a site from the set of the user's Search Console sites.

    Args:
      siteUrl: string, The URI of the property as defined in Search Console. Examples: http://www.example.com/ or android-app://com.example/ (required)

`get(siteUrl)`

    Retrieves information about specific site.

    Args:
      siteUrl: string, The URI of the property as defined in Search Console. Examples: http://www.example.com/ or android-app://com.example/ (required)

    Returns:
      An object of the form:

        { # Contains permission level information about a Search Console site. For more information, see  Permissions in Search Console.
        "permissionLevel": "A String", # The user's permission level for the site.
        "siteUrl": "A String", # The URL of the site.
      }

`list()`

    Lists the user's Search Console sites.

    Args:

    Returns:
      An object of the form:

        { # List of sites with access level information.
        "siteEntry": [ # Contains permission level information about a Search Console site. For more information, see Permissions in Search Console.
          { # Contains permission level information about a Search Console site. For more information, see  Permissions in Search Console.
            "permissionLevel": "A String", # The user's permission level for the site.
            "siteUrl": "A String", # The URL of the site.
          },
        ],
      }